﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI

	Private Pane1 As B4XView
	Private Pane2 As B4XView
	Private isOpen As Boolean 
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
End Sub

Private Sub B4XPage_Resize (Width As Int, Height As Int)
	isOpen = True
	AnimatePnel
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub Button1_Click
	AnimatePnel
End Sub


Public Sub AnimatePnel
	Dim Height As Double
	If isOpen Then 
		Height = Pane2.Height + 20
	Else
		Height = 280
	End If
	
	Pane1.SetLayoutAnimated(350, Pane1.Left, Pane1.Top, Pane1.Width, Height )
	Sleep(0)
	
'	Other the @erel
'	SetHeightAnimated(Pane1, Height, 350)

	isOpen = Not(isOpen)
End Sub

Public Sub SetHeightAnimated(v As B4XView, NewHeight As Int, Duration As Int)
	Dim startTime As Long = DateTime.Now
	Dim startHeight As Int = v.Height
	Dim deltaHeight As Int = NewHeight - startHeight
	Dim t As Long = DateTime.Now
	Do While t < startTime + Duration
		Dim h As Int = startHeight + deltaHeight * (t - startTime) / Duration
		v.Height = h
		Sleep(10)
		t = DateTime.Now
	Loop
	v.Height = NewHeight
End Sub

